POST
/
v1
/
waba
/
signup-event
Record an embedded signup event
curl --request POST \
  --url https://api.wazapin.com/v1/waba/signup-event \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event": "<string>",
  "ad_account_ids": [
    "<string>"
  ],
  "business_id": "<string>",
  "current_step": "<string>",
  "error_id": "<string>",
  "error_message": "<string>",
  "page_ids": [
    "<string>"
  ],
  "phone_number_id": "<string>",
  "session_id": "<string>",
  "waba_id": "<string>"
}
'
{
  "data": {
    "status": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Session token or API key

Body

application/json
event
string
required

Signup event type

Minimum string length: 1
ad_account_ids
string[] | null

Ad account IDs

business_id
string

Business ID

current_step
string

Current signup step

error_id
string

Error ID if any

error_message
string

Error message if any

page_ids
string[] | null

Page IDs

phone_number_id
string

Phone number ID

session_id
string

Session ID

waba_id
string

WABA ID

Response

Created

data
object
required